
#ifndef __INPUT_H__
#define __INPUT_H__

#include <common.h>


/** keypress callback function */
void handleKey(unsigned char key, int x, int y);

/** helper methods */
void rotateView(GLfloat angle, GLfloat x, GLfloat y, GLfloat z);
void rotateScene(int angle);
void walk(GLfloat r);

#endif //ifdef
